utl::meta::nat_ Struct Reference

`#include <detection.h>`

## Public Member Functions

| nat_ ()=delete
| ~nat_ ()=delete
| nat_ (nat_ const &)=delete
void | operator= (nat_ const &)=delete

## Detailed Description

Not a type to use in detected idiom. This type can not be constructed, destructed or copied

Definition at line 63 of file detection.h.

## Constructor & Destructor Documentation

## nat_() [1/2]

utl::meta::nat_::nat_ | ( |  | ) |

delete

## ~nat_()

utl::meta::nat_::~nat_ | ( |  | ) |

delete

## nat_() [2/2]

utl::meta::nat_::nat_ | ( | nat_ const & |  | ) |

delete

## Member Function Documentation

## operator=()

void utl::meta::nat_::operator= | ( | nat_ const & |  | ) |

delete

The documentation for this struct was generated from the following file:

- include/utl/meta/detection.h